Get one block
GET/v1/trips/{tripId}/itinerary/blocks/{blockId}
Returns one block of the trip's itinerary, with its full data and its current version.
Permissions: trips:read · Kind: read · Cost: 1 unit
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
tripId |
uuid | yes | |
blockId |
uuid | yes |
Query parameters
None.
Response 200
| Field | Type | Required | Description |
|---|---|---|---|
object |
"block" | yes | |
id |
uuid | yes | |
type |
"titulo" | "texto" | "imagen" | "agenda" | "dia" | "caja" | "desplegable" | "seccion" | "capitulo" | "derivado" | "actividad" | "alojamiento" | "vuelo" | "comida" | "transporte" | "tren" | "crucero" | "informacion" | "galeria" | "video" | "mapa" | "html" | "itinerario" | yes | |
parentId |
uuid | null | yes | |
rank |
string | yes | |
data |
object | yes | |
layout |
object | yes | |
layout.colSpan |
1 | 2 | 3 | default 3 | |
layout.hidden |
boolean | Hide this block (and its children) from the traveler. | |
version |
integer | yes | |
source |
object | null | yes | |
source.kind |
string | yes | |
source.key |
string | yes |
Errors
Errors are problem details. Besides the refusals described above, any call like this one can return:
invalid_request— Invalid requestunauthorized— Missing or invalid API keyinsufficient_scope— Missing permissionrate_limited— Rate limit reachednot_found— Not found